rio_enum_host
Prev | Enumeration and Discovery | Next

## Name

rio_enum_host — Set host lock and initialize host destination ID

## Synopsis

`int rio_enum_host (` | struct rio_mport * | port`)`;

## Arguments

`port`

  Master port to issue transaction

## Description

Sets the local host master port lock and destination ID register with the host device ID value. The host device ID value is provided by the platform. Returns `0` on success or `-1` on failure.

Prev | Up | Next
rio_clear_locks | Home | rio_device_has_destid